Skip to main content
`Ctrl`+`K`

# DMPlexCSRAlgorithm

The algorithm for building the adjacency graph in CSR format, usually for a mesh partitioner

## Synopsis

    typedef enum {
      DM_PLEX_CSR_MAT,
      DM_PLEX_CSR_GRAPH,
      DM_PLEX_CSR_OVERLAP
    } DMPlexCSRAlgorithm;

## Values

- `DM_PLEX_CSR_MAT` - Use `MatPartitioning` by first making a matrix

- `DM_PLEX_CSR_GRAPH` - Use the original `DMPLEX` and communicate along the boundary

- `DM_PLEX_CSR_OVERLAP` - Build an overlapped `DMPLEX` and then locally compute

## See Also

DM Basics, `DMPLEX`, `DMPlexCreatePartitionerGraph()`, `PetscPartitionerDMPlexPartition()`, `DMPlexDistribute()`

## Level

beginner

## Location

include/petscdmplextypes.h

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages